#!/usr/bin/env robot

*** Settings ***
# Importing test libraries, resource files and variable files.
Library        ats.robot.pyATSRobot
Library        genie.libs.robot.GenieRobot
Library        unicon.robot.UniconRobot


*** Variables ***
${testbed}     ./static/files/inventory/{{testbed}}.yaml

*** Test Cases ***
Connect
    # Initializes the pyATS/Genie Testbed
    use genie testbed "${testbed}"

    [Documentation]    Connect on {{ device }}
    # Connect to both device
    Connect to device "{{ device }}"

{% for profile in profiles %}
Snapshot {{profile}}
    [Documentation]    Snapshot current profile {{profile}} on {{ device }}
    Profile the system for "{{ profile }}" on devices "{{ device }}" as "./static/files/json/{{testbed}}/{{ device }}/{{ action }}/{{ profile }}"
{% endfor %}
{% if 'compare' in action %}
{% for profile in profiles %}
Compare snapshot {{profile}}
    [Documentation]    Compare Snapshot profile {{profile}} on {{ device }}
    Compare profile "./static/files/json/{{testbed}}/{{ device }}/snapshot/{{ profile }}" with "./static/files/json/{{testbed}}/{{ device }}/{{ action }}/{{ profile }}" on devices "{{ device }}"
{% endfor %}

{% endif %}
Disconnect
    connect to devices "{{ device }}"